Freeciv-3.1: packet_trade_route_info Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_trade_route_info Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | city16
int | city32
int | index
int | partner16
int | partner32
int | value
enum route_direction | direction
Goods_type_id | goods

## Detailed Description

Definition at line 405 of file packets_gen.h.

## Field Documentation

## ◆ city16

int packet_trade_route_info::city16

Definition at line 406 of file packets_gen.h.

Referenced by handle_trade_route_info(), package_city(), and send_packet_trade_route_info_101().

## ◆ city32

int packet_trade_route_info::city32

Definition at line 407 of file packets_gen.h.

Referenced by handle_trade_route_info(), package_city(), and send_packet_trade_route_info_100().

## ◆ direction

enum route_direction packet_trade_route_info::direction

Definition at line 412 of file packets_gen.h.

Referenced by handle_trade_route_info(), package_city(), send_packet_trade_route_info_100(), and send_packet_trade_route_info_101().

## ◆ goods

Goods_type_id packet_trade_route_info::goods

Definition at line 413 of file packets_gen.h.

Referenced by handle_trade_route_info(), package_city(), send_packet_trade_route_info_100(), and send_packet_trade_route_info_101().

## ◆ index

int packet_trade_route_info::index

Definition at line 408 of file packets_gen.h.

Referenced by handle_trade_route_info(), package_city(), send_packet_trade_route_info_100(), and send_packet_trade_route_info_101().

## ◆ partner16

int packet_trade_route_info::partner16

Definition at line 409 of file packets_gen.h.

Referenced by handle_trade_route_info(), package_city(), and send_packet_trade_route_info_101().

## ◆ partner32

int packet_trade_route_info::partner32

Definition at line 410 of file packets_gen.h.

Referenced by handle_trade_route_info(), package_city(), and send_packet_trade_route_info_100().

## ◆ value

int packet_trade_route_info::value

Definition at line 411 of file packets_gen.h.

Referenced by handle_trade_route_info(), package_city(), send_packet_trade_route_info_100(), and send_packet_trade_route_info_101().